org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterion<T extends ModelCriterion>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<T>

Direct Known Subclasses:
  EditorCriterionBLikeness, EditorCriterionDDisclosurePrivacy, EditorCriterionDifferentialPrivacy, EditorCriterionDPresence, EditorCriterionKAnonymity, EditorCriterionKMap, EditorCriterionLDiversity, EditorCriterionProfitability, EditorCriterionRiskBased, EditorCriterionTCloseness

    public abstract class EditorCriterion<T extends ModelCriterion>
    extends java.lang.Object

Base class for editors

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterion(org.eclipse.swt.widgets.Composite parent, T model)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes the editor
`T` `getModel()` Returns the altered model
`void` `parseDefault(ModelCriterion model)` Parse method

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterion

    public EditorCriterion(org.eclipse.swt.widgets.Composite parent,
                           T model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -

### Method Detail

#### dispose

    public void dispose()

Disposes the editor

#### getModel

    public T getModel()

Returns the altered model

Returns:

#### parseDefault

    public void parseDefault(ModelCriterion model)

Parse method

Parameters:
  `model` -